=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (0.7) artful; urgency=medium

  * Cherry-pick 2 upstream fixes:
    - Maximized windows get resized when returning from screensaver
      (LP: #1719409)
    - Mouse scrollwheel switches workspaces when mouse against the left
      edge of screen (LP: #1719706)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 03 Oct 2017 10:30:10 +0200

gnome-shell-extension-ubuntu-dock (0.6) artful; urgency=medium

  * Badges and progress bar on dock. Thanks Andrea (LP: #1713712)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 25 Sep 2017 14:09:30 -0400

gnome-shell-extension-ubuntu-dock (0.5) artful; urgency=medium

  [ Didier Roche ]
  * Cherry-pick dynamic and adaptive transparency feature to look and behave
    better with GNOME Shell 3.26. We only enable adaptive transparency.
    (LP: #1717509).
  * Rationalize some keyboard and key + mouse shortcuts:
    - Click is focus or showing up window previews. Same than Super + number
      (was already the default)
    - Shift + click launch a new instance. Same than Super + Shift + number
    - Middle click launch a new instance as well. This is to be consistent
      when middle clicking a link in a web browser opening a new tab.
    - Shift + middle click minimize the last focused window from the selected
      application.
  * Cherry-pick some fixes from dash to dock branch (without taking the other
    new features):
    - Hotkeys: remove keypad hotkeys
    - Define externally accessible classes and constants with 'var'
  * Fix uninitialized value for dock disabled by default
    (LP: #1712698, #1714219)
  * updated translations
  * Remove prefs.js as deleted from to localize list
  * Add Vcs-Git reference

  [ Sebastien Bacher ]
  * debian/control, debian/rules:
    - use dh_translations, update the template during the build

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Sep 2017 08:01:22 +0200

gnome-shell-extension-ubuntu-dock (0.4) artful; urgency=medium

  * Switch click-action to previews multiple window instances by default.
    This was discussed and acked in the Fit and Finish sprint.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 31 Aug 2017 11:50:47 +0200

gnome-shell-extension-ubuntu-dock (0.3) artful; urgency=medium

  * Rebase on latest dash to dock master to bring GNOME Shell 3.26 support.
    Thanks Jeremy, Fran and Michele for the warning!
  * debian/copyright: add Michele's name (Gaio).

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 21 Aug 2017 09:49:35 +0200

gnome-shell-extension-ubuntu-dock (0.2) artful; urgency=medium

  * Add Replaces temporarly against gnome-shell-extension-dashtodock package
    which ships the same schema on purpose. This unblock users for the week-end
    until we decide on the best strategy to keep the schema synced and not
    diverge (should we conflicts and let people prefers installing dash to dock
    from the online extensions website local to their users, not being affected
    by our overrides… or have a separate binary package, common to both, and
    thus diverge the dash to dock package from debian?)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 18 Aug 2017 15:47:30 +0200

gnome-shell-extension-ubuntu-dock (0.1) artful; urgency=medium

  * Initial release of ubuntu tweaked Dash To Dock extension.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 09 Aug 2017 09:47:49 +0200
