=== debian/control ===
Source: gnome-shell-extension-ubuntu-dock
Section: gnome
Priority: optional
Maintainer: Didier Roche <didrocks@ubuntu.com>
Build-Depends: debhelper (>= 10),
               dh-translations,
               libglib2.0-bin,
Standards-Version: 4.0.0
Vcs-Git: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
Homepage: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock

Package: gnome-shell-extension-ubuntu-dock
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Replaces: gnome-shell-extension-dashtodock,
Description: Ubuntu Dock for GNOME Shell
 A dock for the Gnome Shell, default Ubuntu experience.
 .
 This extension is a modified version of Dash To Dock with different defaults.
 Dash To Dock can be installed to replace it and give more (but unsupported)
 configuration options.
