=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (0.9.1) bionic; urgency=medium

  * Rebased against latest dash to dock master with bug fixes:
    - fix GJS warnings
    - appIconIndicators: fix backLight for workspace/monitor isolation
    - theming: update panel solid style on showing the overview
    - translation updates

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 27 Mar 2018 09:22:53 +0200

gnome-shell-extension-ubuntu-dock (0.9) bionic; urgency=medium

  * Rebase on latest master.
  * Disable "parameters" context menu on appIcon right click
  * schemas/10_ubuntu-dock.gschema.override:
    Adapt dot overrides to latest master, upstream changed dots
    gsettings parameters, adapt our default.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 03 Jan 2018 10:59:16 +0100

gnome-shell-extension-ubuntu-dock (0.8.1) bionic; urgency=medium

  * Readd dynamic transparent override lost during rebase (LP: #1730489)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 07 Nov 2017 09:32:22 +0100

gnome-shell-extension-ubuntu-dock (0.8) bionic; urgency=medium

  * Sync with latest dash to dock upstream, bringing glossy and other small
    upstream features.
  * Remove now prefs.js at package install time to minimize upstream diff.
  * Update Standards-Version to latest.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 06 Nov 2017 13:59:21 +0100
