## gnome-shell-extension-ubuntu-dock 0.9.1ubuntu18.04.3

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (0.9.1ubuntu18.04.3) bionic; urgency=medium

  [ Daniel van Vugt ]
  * Avoid repainting an unchanging dock (LP: #1743976).

  [ Andrea Azzarone ]
  * theming: Ensure _trackingWindows contains valid windows (LP: #1769383)
  * extension: Ensure signal disconnection (LP: #1769383)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 21 Jan 2019 11:39:02 +0100

gnome-shell-extension-ubuntu-dock (0.9.1ubuntu18.04.1) bionic; urgency=medium

  * Fix crash connecting/disconnecting monitors (LP: #1712661)
  * Fix showApps button label position (LP: #1784920)
  * Update translations, fixed settings typos
  * debian/control:
    - Point Vcs-* flags to the proper locations
  * debian/gbp.conf:
    - set ubuntu branch and tagging schema

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 02 Aug 2018 21:01:24 +0200
