=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
                dh-translations,
                libglib2.0-bin,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
-Homepage: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-bionic
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-bionic
+Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock-bionic/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
