## gnome-shell-extension-ubuntu-dock 63ubuntu1.18.10.2

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (63ubuntu1.18.10.2) cosmic; urgency=medium

  [ Andrea Azzarone ]
  * theming: Ensure _trackingWindows contains valid windows (LP: #1769383)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Jan 2019 22:35:34 +0100

gnome-shell-extension-ubuntu-dock (63ubuntu1.18.10.1) cosmic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control, debian/gbp.conf:
    - update branch references

  [ Andrea Azzarone ]
  * extension: Ensure signal disconnection (LP: #1769383)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 22 Nov 2018 15:35:25 -0600
