=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (64ubuntu7) disco; urgency=medium

  * debian/rules: Ignore default stylesheet in ubuntu session (LP: #1824591)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Apr 2019 17:03:43 -0500

gnome-shell-extension-ubuntu-dock (64ubuntu6) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * ubuntu-dock.gschema.override: apply settings to ubuntu sessions only
  * ubuntu-dock.gschema.override: set intellihide to true by default
  * ubuntu-dock.gschema.override: set transparency-mode to DEFAULT

  [ Adolfo Jayme Barrientos ]
  * Update Spanish and Portuguese translations

  [ Serdar Sağlam ]
  * Update Turkish translation.

  [ Carlo Lobrano ]
  * LauncherAPI: use CSS to style progress bar color

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Apr 2019 11:33:24 -0500

gnome-shell-extension-ubuntu-dock (64ubuntu5) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * metadata: mark dash-to-dock as working only on 3.31+ versions
  * dash-to-dock: rewrite classes using pure ES6 classes
  * Remove usage of legacy Lang features
  * Drop Convenience library
  * docking: remove support for legacy tray
  * utils: remove DisplayWrapper temporary workaround
  * utils: use ES6 syntax to define _decimalToHex method
  * appIcons: Add Focus or Previews click action
  * theming: fix missing variable definition as per previous commit
  * windowPreview: Use symbolic icon for close button
  * d/schemas/10_ubuntu-dock.gschema.override: set focus-or-previews as default for click
  * debian/gbp.conf: sign tags and use multimaint-merge in dch

  [ Michele Gaio ]
  * Remove all legacyTray code.
  * Fix mixing of es6 class names with St names.
  * AppIconIndicators: fix invalid dominant css color for certain icons.
  * Remove the Adaptive transparency mode.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 04 Mar 2019 18:02:16 +0100

gnome-shell-extension-ubuntu-dock (64ubuntu4) disco; urgency=medium

  * Re-upload to disco, with a dependency on gnome-shell versions that this
    extension is declared to work on in its metadata.json:
    - >= 3.31
    - << 3.33

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 24 Feb 2019 20:19:55 +0000

gnome-shell-extension-ubuntu-dock (64ubuntu3) disco; urgency=medium

  [ Andrea Azzarone ]
  * theming: Ensure _trackingWindows contains valid windows (#868)

  [ Serdar Sağlam ]
  * Update tr.po

  [ Rúben Lopes ]
  * Update Portuguese translation (#878)

  [ Michele ]
  * Fix for border radius with adaptive/dynamic opacity.

  [ Marco Trevisan (Treviño) ]
  * metadata: mark dash-to-dock as working only on 3.31+ versions
  * dash-to-dock: rewrite classes using pure ES6 classes
  * Remove usage of legacy Lang features
  * Drop Convenience library
  * docking: remove support for legacy tray
  * utils: remove DisplayWrapper temporary workaround

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 21 Feb 2019 16:31:00 +0100

gnome-shell-extension-ubuntu-dock (64ubuntu2) disco; urgency=medium

  * theming: Ensure _trackingWindows contains valid windows. (LP: #1769383)

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 15 Jan 2019 15:47:54 +0000

gnome-shell-extension-ubuntu-dock (64ubuntu1) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release: 64
  * dash, docking: remove Shell.GenericContainer.

  [ Adolfo Jayme Barrientos ]
  * Update Spanish translation.

  [ franglais125 ]
  * Settings.ui: Fix GtkEntry property to make the shortcut editable.

  [ Michele ]
  * Add Gnome Shell 3.30 support.
  * Bump version (v64).

  [ vantu5z ]
  * Update Russian translation.

  [ Andrea Azzarone ]
  * docking: Fix leaking signal connection

  [ Michele Gaio ]
  * Update Readme with official extension badge.

  [ Michele ]
  * Add a .default class to the appiconindicators.
  * Make window previews order stable in the dedicated popup (LP: #1809129).
  * Recreate windows preview whenever the popup is open.

  [ Daniel van Vugt ]
  * Avoid repainting an unchanging dock.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 19 Dec 2018 10:06:26 -0500

gnome-shell-extension-ubuntu-dock (63ubuntu2) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control:
    - Point Vcs-Git and Vcs-Browser to proper locations
  * dash, docking: remove Shell.GenericContainer

  [ Andrea Azzarone ]
  * docking: Fix leaking signal connection
  * extension: Ensure that ubuntu-dock will not re-enable itself during
    lockscreen if dash-to-dock is installed and enabled too. (LP: #1769383)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 27 Nov 2018 12:28:28 -0500
