=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
                dh-translations,
                libglib2.0-bin,
 Standards-Version: 4.1.1
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-cosmic
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-cosmic
-Homepage: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
+Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: ${shlibs:Depends},
+Depends: gnome-shell (<< 3.33),
+         gnome-shell (>= 3.31),
          ${misc:Depends},
+         ${shlibs:Depends}
 Replaces: gnome-shell-extension-dashtodock,
 Description: Ubuntu Dock for GNOME Shell
  A dock for the Gnome Shell, default Ubuntu experience.
