## gnome-shell-extension-ubuntu-dock 67ubuntu19.10.1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (67ubuntu19.10.1) eoan; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * utils: Use GObject.NotImplementedError for such errors
  * utils: Allow to pass flags to SignalsHandler's
  * locations: Handle Trash Errors
  * locations: Ensure volume monitor is destroyed on destruction
  * dash: Destroy Removables and Trash if disabled
  * DockManager: Keep a fm1Client reference and destroy it when unneeded
  * docking: Use CONNNECT_AFTER for mounts changes in docked dash
  * dash: Remove the show label timeout if actor got destroyed
  * windowPreviewMenuItem: Disconnect to signals on destroy
  * cleanup: Replace Mainloop functions with GLib ones
  * DashSlideContainer: Inherit from St.Bin instead of widget
  * MyAppIcon: Inherit from Dash.DashIcon (LP: #1846477, #1847102)
  * debian/control: Depend on gnome-shell 3.34.0

  [ Michele Gaio ]
  * Fix a regression due to variable renaming.
  * New upstream release (v67).

  [ Twille ]
  * add missing translation

  [ Philip Langdale ]
  * dash: Add Trash Icon
  * dash: Add Removable drive/device icons
  * prefs: Add prefs to toggle showing Trash and Mounted Volumes
  * appIcons: Implement window tracking for removable devices and trash
  * fileManager1API: Deduplicate window with related locations in tabs
  * locations: Fix a remaining use of `nautilus` vs `gio open`

  [ sicklylife.jp ]
  * Update Japanese translation.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 09 Oct 2019 17:30:41 +0200

gnome-shell-extension-ubuntu-dock (66ubuntu19.10.2) eoan; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * windowPreview: Use the window actor as Clone source (LP: #1843520)
  * appIcons: Don't warn if variable is undefined
  * appIcons: Enable scroll handler if enabled on construction
  * docking: Don't warn if variable is undefined
  * ubuntu-gschema.override: Enable fixed transparency with opacity at 70%

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2019 14:28:09 +0200

gnome-shell-extension-ubuntu-dock (66ubuntu19.10.1) eoan; urgency=medium

  [ Adolfo Jayme Barrientos ]
  * Update Spanish and Portuguese translations

  [ Serdar Sağlam ]
  * Update Turkish translation.

  [ Michele Gaio ]
  * Bump version (v66).
  * Fix regression with transparencey settings UI.

  [ Carlo Lobrano ]
  * LauncherAPI: use CSS to style progress bar color

  [ Joonas Henriksson ]
  * Don't reset border-radius for shrinked dash

  [ Philip Langdale ]
  * dash: Add Trash Icon
  * dash: Add Removable drive/device icons
  * prefs: Add prefs to toggle showing Trash and Mounted Volumes
  * appIcons: Implement window tracking for removable devices and trash
  * fileManager1API: Deduplicate window with related locations in tabs

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * WindowPreviewMenuItem: Inherit from GObject (LP: #1835706)
  * Animations: Convert shell durations in seconds (LP: #1835706)
  * appIcons: Show the ShowAppIcon by default
  * metadata: Bump shell version to 3.34 (LP: #1835706)
  * cleanup: Use inheritance for Actor classes instead of composition
  * dash: Inherit DashItemContainer instead of adding methods
  * appIcons: Pass icon actor to PopupMenuManager (LP: #1835706)
  * docking: Don't use actor parameter for grid
  * ShowAppsIcons: Inherit from Dash.ShowAppsIcon
  * appIcons: Define re-used AppIcon methods as class methods
  * Docking: Use the DockManager as a singleton and keep settings reference there
  * DashSlideContainer: Use native GObject properties
  * general: Use native clutter animations instead of Tweener
  * extension: Use new Shell's ExtensionManager API (LP: #1835706)
  * locations: Handle Trash Errors
  * ubuntu: Disable trash in Ubuntu
  * locations: Ensure volume monitor is destroyed on destruction
  * dash: Destroy Removables and Trash if disabled
  * DockManager: Keep a fm1Client reference and destroy it when unneeded
  * debian/control: Bump dependency to gnome-shell 3.33

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 20 Aug 2019 12:52:06 +0200
