=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (67ubuntu20.04.5) focal; urgency=medium

  [ Michele Gaio ]
  * Fix regression (wrong parent method call).
  * Fix regression (wrong sign when computing position). (LP: #1869571)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Apr 2020 15:36:21 +0200

gnome-shell-extension-ubuntu-dock (67ubuntu20.04.4) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * appIcon: Don't show the ShowAppsIcon popup in ubuntu-dock (LP: #1869635)
  * dash: Fix icons DnD when in horizontal mode and when the icons are using
    a scrolled view (LP: #1867763, #1867613)
  * stylesheet: Define width for top/bottom drop placeholder
  * fixed various JS warnings and errors

  [ jesusignacio ]
  * Updated ES translation: show mounted devices + show trash icon

  [ mars ]
  * Update Simplified Chinese translation

  [ Pavel Dvořák ]
  * Update cs.po

  [ Robert Mader ]
  * Use new convenience function to open settings

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Apr 2020 07:48:51 +0200

gnome-shell-extension-ubuntu-dock (67ubuntu20.04.3) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * docking: Don't use non-existent Utils.DisplayWrapper.getWorkspaceManager()
  * dash: Use clutter alignment to ensure we properly arrange the dash
  * metadata: Set extension compatible with shell 3.36 only
  * dash: Sync some more to the upstream cleanups
  * docking: Properly replace default dash in all modes (LP: #1795703,
    LP: #1865865)
  * docking: Delay hide requests if we're currently showing
  * docking: Don't sync overview's iconSize anymore
  * docking: Reset old dash changes if something changes it (LP: #1795703)
  * docking: Cleanup the docks destruction code
  * docking: Use parent vfunc results to get slider container sizes
  * docking: Add mainDock property to DockManager and use it
  * docking: Don't pass allDocks to every child
  * docking: Ignore key-repeat
  * fileManager1API: Use a cancellable to stop proxy creation on destruction
  * dash: Cleanup preferred width/height vfuncs reusing upstream code
  * dash: Get content box from the themeNode
  * dash: Some code cleanups to match Upstream code better
  * appIcons: Redirect events from the showAppIcon toggleButton to the parent
  * general: Don't use Gtk enum definitions for St widgets
  * docking: Apply the height/width dash constraint after adding to main uiGroup
  * docking: Delay toggling to group multiple requests
  * docking: Consider theming when computing the sliderContainer space
  * docking: Reimplement Clutter.BindConstraint to bind to Maximum size only
  * docking: Replace the dashSpacer instance in default controls
  * docking: Make sure we don't send the overview offscreen in extended mode
    (LP: #1834967)
  * launcherAPI: Actually keep track of the unity bus ID and replace it
    (LP: #1756837)

  [ Michele Gaio ]
  * Fix bug with xscreensaver.

  [ Jordan Christiansen ]
  * Update the screenshot to Gnome 3.34

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Mar 2020 03:22:28 +0100
