=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 3.35),
-         gnome-shell (>= 3.34.0),
+Depends: gnome-shell (<< 3.37),
+         gnome-shell (>= 3.35.90),
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: gnome-shell-extension-dashtodock,
