=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	dh_install --fail-missing
 	rm debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/COPYING
 	rm debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/prefs.js
+	touch $(shell realpath debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com)/ubuntu.css
 
 override_dh_translations:
 	make ./po/dashtodock.pot
