## gnome-shell-extension-ubuntu-dock 68ubuntu1~20.04.1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (68ubuntu1~20.04.1) focal; urgency=medium

  * No contents change upload to focal
  * debian: Update control and gbp branch references to focal

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 07 May 2020 23:06:01 +0200

gnome-shell-extension-ubuntu-dock (68ubuntu1) groovy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream stable release

  [ Michele Gaio ]
  * Get dash max size from the container and drop the
    bindcontraint machinery (LP: #1870847)
  * Remove padding the dock ends in panel mode (LP: #1873321)

  [ Philip Langdale ]
  * locations: Handle emblemed mount icons

  [ ibaios ]
  * Added Basque localization.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 07 May 2020 23:02:27 +0200
