=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
                dh-translations,
                libglib2.0-bin,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-focal
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-focal
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 3.37),
+Depends: gnome-shell (<< 3.39),
          gnome-shell (>= 3.35.90),
          ${misc:Depends},
          ${shlibs:Depends}
