## gnome-shell-extension-ubuntu-dock 70~ubuntu3

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (70~ubuntu3) impish; urgency=medium

  [ Daniel van Vugt ]
  * docking: Generalize the startup animation
    - Applied addition to upstream PR #1512 (LP: #1942843).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 07 Sep 2021 12:18:14 +0200

gnome-shell-extension-ubuntu-dock (70~ubuntu2) impish; urgency=medium

  [ Daniel van Vugt ]
  * extension: Disable starting in the overview
    - We don't need it when the GNOME dash is being replaced.
    - Applied upstream PR #1512 (LP: #1940925).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 26 Aug 2021 20:04:01 +0200

gnome-shell-extension-ubuntu-dock (70~ubuntu1) impish; urgency=medium

  [ Philipp Kitzberger ]
  * Add new setting: preview size scale

  [ Evan Welsh ]
  * Initial port to GNOME 40.
  * theming: Fix various theming issues
  * Fix showing app icon at the start
  * Use Graphene for indicator rendering.
  * Fix show apps button toggling.
  * Start fixing panel mode...
  * Fix drag and drop and panel mode.
  * Fix workspace scrolling.
  * Fix icon scaling and size changes.
  * Cleanup preferences.
  * More theming and style fixes
  * Convert stylesheet to SCSS.
  * Improve overview animation and styling.
  * Fix regression in panel mode padding.
  * Avoid errors if already tracking the dock
  * Make sassc the default sass compiler
  * Initial fixes for horizontal scrolling.
  * Initial fix for dynamic icon sizing...
  * dash: Fix separator in vertical mode.

  [ Marco Trevisan (Treviño) ]
  * New upstream pre-release (LP: #1912211, LP: #1903582, LP: #1847650)
  * prefs: Port code for the initial size request
  * dash: Do not try to use an invalid value of dragPlaceholderPos
  * cleanup: Remove the unused InjectionsHandler instances
  * utils: Don't store the InjectedFunction on InjectionsHandler
  * utils: Modernize BasicHandler making it possible to use non-array arguments
  * cleanup: Connect to signals with non-array arguments when possible
  * BasicHandler: Support auto-destruction when using a parent Object
  * docking: Avoid recursion on _prepareMainDash()
  * utils: Add PropertyInjectionsHandler to manage property overrides
  * cleanup: Use PropertyInjectionsHandler
  * Utils: Pass the original function to InjectionsHandler callback
  * docking: Replace DashSpacer by overriding ControlsManagerLayout logic
  * docking: Always show the thumbnails box in vertical mode
  * Utils: Add class to inject virtual functions
  * docking: Replace WorkspaceBackground allocation code taking care of the dock
  * docking: Also ignore allocation requests on the original dash
  * Settings: Fix dock size scale selector
  * prefs: Disable monitor selection combo when multi-monitor is enabled
  * theming: Properly parse color from string and set its alpha value
  * theming: Do not try to set the background style with no style
  * prefs: Support running as a standalone application
  * prefs: Use Mutter DBus API to manage per-monitors configuration
  * docking: Properly handle top-positioned dock
  * docking: Use implicit properties features for slide-x
  * docking: Adapt dash(es) startup animation effect to our positioning
  * docking: Do not show the dash before startup animation has completed
  * docking: Use workarea-based allocation in ControlsManagerLayout and
    WorkspaceBackground
  * docking: Adjust overview with vertical auto-hide dock
  * docking: Adjust the AllWorkspaceBox size in secondary monitors
  * docking: Keep cached settings values used during allocation
  * appIcons: Move logic for computing the focused / running state here
  * dash: Fix ensureActorVisibleInScrollView as per upstream changes
  * cleanup: Modernize the code ensureActorVisibleInScrollView a bit
  * docking: Add back support to disable animation on show-applications
  * docking: Add and use property to access to upstream overviewControls
  * dash: Cleanup the dash-separator styling, using a single scss definition
  * dash: Include paddings and separator to compute available space
  * prefs: Add back support for changing the overlay shortcut
  * docking: Disconnect from after-paint signal if we destroy earlier
  * theming: Never try to access to members when destroyed
  * theming: Use signals handler auto-destruction
  * theming: Never access to dash private member, move the logic in the dock
  * docking: Define a global GtkIconTheme bound to the St's default
  * fileManager1API: Drop XUbuntuOpenLocationsXids support
  * locations: use org.Nautilus.FileOperations2 API to empty the trash
  * dash: Optionally keep the focused application always visible in the dash
  * appIcons: Use public visibile getter for Overview
  * appIcons: Move urgency logic to the AppIcon
  * dash: Ensure urgent applications are visible
  * appIcons: Mark urgent apps whose windows are urgent or demands attention
  * appIcons: Cleanup window-entered callback code
  * dash: Add property to require visibility
  * dash: Require visibility when an appicon is urgent
  * locations: Use fully async and cancellable async operations
  * locations: Do not use template literals as they may break translations
  * docking: Move ownership of Removable locations and Trash to DockManager
  * appIcons: Manage app-urgency per windows
  * appIcons: Give urgent windows more priority on activation
  * dash: Do not potentially duplicate location icons and really remove them
  * docking: Do not pass LauncherRemoteModel around, but get from DockManager
  * appIcons: Split Dock icons by type using sub-classing
  * cleanup: Use "Dock" prefix for our implementations
  * locations: Patch Shell.App to make location apps to behave as normal apps
  * locations: Disable ability for opening new windows in location apps
  * locations: Update app-system status on app state changed
  * locations: Initial support for full location apps isolation from filemanager
  * locations: Keep app focus state cached and notify tracker on changes

