=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 10),
                dh-translations,
                libglib2.0-bin,
+               sassc,
 Standards-Version: 4.1.1
 Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
 Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
@@ -12,8 +13,8 @@
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 3.39),
-         gnome-shell (>= 3.35.90),
+Depends: gnome-shell (<< 41),
+         gnome-shell (>= 40),
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: gnome-shell-extension-dashtodock,
